GELF_CHECKSUM(3)

NAME
gelf_checksum - compute the checksum for an ELF object file

SYNOPSIS
#include <gelf.h>
long int gelf_checksum (Elf *elf);

DESCRIPTION
Compute a checksum for the ELF object file referred to by elf. This function acts as a wrapper around elf32_checksum() and elf64_checksum(). The binary class of elf is used to automatically select between elf32_checksum() and elf64_checksum(). The checksum is computed from permanent parts of the ELF file and the result is repeatable. To be repeatable, strippable sections are not included in computing the checksum. SHT_NOBITS sections are also not included when computing the checksum. The checksum can be used as a value for DT_CHECKSUM.

PARAMETERS

elf The ELF object file for which the checksum is to be computed.

RETURN VALUE
On success, return the computed checksum. On failure, return -1 and set elf_errno. If elf is NULL then -1 is returned without setting elf_errno. The checksum is always calculated as a 4-byte value. If long int is larger than 4 bytes, then the checksum will be extended by padding with zeros.

SEE ALSO
elf32_checksum(3), elf64_checksum(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.